%define name proxyruby-libs
%define version 1.0
%define release 1

# 基本情報
Summary: call from c to ruby language
Summary(ja): c言語からRubyを呼び出す。
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Libraries
BuildArch: i386

# パケージの作成時に必要となる情報
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}

# 依存情報
Requires: proxydynlang-devel = 1.0
BuildRequires(build): proxydynlang-devel = 1.0
BuildRequires(build): ruby

# スクリプト部
%description
This is a from c to ruby language.

%description -l ja
c言語からRubyを呼び出すためのライブラリです。

%prep         # rpmを構築する前の準備です
%{__rm} -rf $RPM_BUILD_ROOT

%setup
#%patch -pl

%build
%{__make} proxyruby

%install
%{__make} prefix=${RPM_BUILD_ROOT}%{_libdir} install.ruby

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#ファイルリスト部
%files
%defattr(-, root,root)
%{_libdir}/libproxyruby.so

